Generic Image Library: bit_aligned_pixel_reference Struct Template Reference

Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # bit_aligned_pixel_reference Struct Template Reference [bit_aligned_pixel_reference, bit_aligned_pixel_reference, Models] `#include <bit_aligned_pixel_reference.hpp>` List of all members. ## Detailed Description ### template<typename BitField, typename ChannelBitSizes, typename Layout, bool IsMutable> struct boost::gil::bit_aligned_pixel_reference< BitField, ChannelBitSizes, Layout, IsMutable > Heterogeneous pixel reference corresponding to non-byte-aligned bit range. Models ColorBaseConcept, PixelConcept, PixelBasedConcept.
## Public Types
typedef boost::gil::bit_range < bit_size, IsMutable > | bit_range_t
typedef BitField | bitfield_t
typedef mpl::if_c< IsMutable, unsigned char *, const unsigned char * >::type | data_ptr_t
typedef Layout | layout_t
typedef packed_pixel_type < bitfield_t, ChannelBitSizes, Layout >::type | value_type
typedef const bit_aligned_pixel_reference | reference
typedef const bit_aligned_pixel_reference < BitField, ChannelBitSizes, Layout, false > | const_reference
## Public Member Functions
| BOOST_STATIC_CONSTANT (int, bit_size=(mpl::accumulate< ChannelBitSizes, mpl::int_< 0 >, mpl::plus< mpl::_1, mpl::_2 > >::type::value))
| BOOST_STATIC_CONSTANT (bool, is_mutable=IsMutable)
| bit_aligned_pixel_reference (data_ptr_t data_ptr, int bit_offset)
| bit_aligned_pixel_reference (const bit_range_t &bit_range)
template<bool IsMutable2>
| bit_aligned_pixel_reference (const bit_aligned_pixel_reference< BitField, ChannelBitSizes, Layout, IsMutable2 > &p)
| bit_aligned_pixel_reference (const typename kth_element_type< bit_aligned_pixel_reference, 0 >::type channel0)
| bit_aligned_pixel_reference (const bit_aligned_pixel_reference &p)
template<typename BF, typename CR>
| bit_aligned_pixel_reference (packed_pixel< BF, CR, Layout > &p)
const bit_aligned_pixel_reference & | operator= (const bit_aligned_pixel_reference &p) const
template<typename P>
const bit_aligned_pixel_reference & | operator= (const P &p) const
template<typename P>
bool | operator== (const P &p) const
template<typename P>
bool | operator!= (const P &p) const
const bit_aligned_pixel_reference * | operator-> () const
const bit_range_t & | bit_range () const
## Friends
struct | bit_aligned_pixel_reference
The documentation for this struct was generated from the following file: bit_aligned_pixel_reference.hpp